org.richfaces.application.push

## Class TopicKey

- java.lang.Object
- - org.richfaces.application.push.TopicKey

- All Implemented Interfaces:
    Serializable

      public class TopicKey
      extends Object
      implements Serializable

  Author:
    Nick Belaevski
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static char` | `SUBCHANNEL_SEPARATOR`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TopicKey(String topicAddress)`
    `TopicKey(String topicName, String subtopicName)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object obj)`
    `static com.google.common.base.Function<String,TopicKey>` | `factory()`
    `TopicKey` | `getRootTopicKey()`
    `String` | `getSubtopicName()`
    `String` | `getTopicAddress()`
    `String` | `getTopicName()`
    `int` | `hashCode()`
    `static com.google.common.base.Function<TopicKey,String>` | `toAddress()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### SUBCHANNEL_SEPARATOR

          public static final char SUBCHANNEL_SEPARATOR

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### TopicKey

          public TopicKey(String topicAddress)

    - #### TopicKey

          public TopicKey(String topicName,
                  String subtopicName)

  - ### Method Detail

    - #### factory

          public static com.google.common.base.Function<String,TopicKey> factory()

    - #### toAddress

          public static com.google.common.base.Function<TopicKey,String> toAddress()

    - #### getTopicName

          public String getTopicName()

    - #### getSubtopicName

          public String getSubtopicName()

    - #### getTopicAddress

          public String getTopicAddress()

    - #### getRootTopicKey

          public TopicKey getRootTopicKey()

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### equals

          public boolean equals(Object obj)

      Overrides:
        `equals` in class `Object`

Copyright © 2014 JBoss by Red Hat. All Rights Reserved.